import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React, { useMemo } from 'react';
import InputPicker, { InputPickerContext } from '../InputPicker/InputPicker';
var TagPicker = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var tagProps = props.tagProps,
      trigger = props.trigger,
      rest = _objectWithoutPropertiesLoose(props, ["tagProps", "trigger"]);

  var contextValue = useMemo(function () {
    return {
      multi: true,
      trigger: trigger,
      tagProps: tagProps
    };
  }, [tagProps, trigger]);
  return /*#__PURE__*/React.createElement(InputPickerContext.Provider, {
    value: contextValue
  }, /*#__PURE__*/React.createElement(InputPicker, _extends({}, rest, {
    ref: ref
  })));
});
TagPicker.defaultProps = {
  trigger: 'Enter',
  tagProps: {}
};
TagPicker.displayName = 'TagPicker';
export default TagPicker;